Package opennlp.tools.parser

# Class ParserChunkerSequenceValidator

java.lang.Object
opennlp.tools.parser.ParserChunkerSequenceValidator

All Implemented Interfaces:
  `SequenceValidator<TokenTag>`

public class ParserChunkerSequenceValidator extends Object implements SequenceValidator<TokenTag>
The parser chunker `SequenceValidator` implementation.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ParserChunkerSequenceValidator(String[] outcomes)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `validSequence(int i, String[] inputSequence, String[] tagList, String outcome)`
  `boolean`
  `validSequence(int i, TokenTag[] inputTuples, String[] outcomesSequence, String outcome)`
  Determines whether a particular continuation of a `sequence` is valid.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ParserChunkerSequenceValidator

    public ParserChunkerSequenceValidator(String[] outcomes)

- ## Method Details

  - ### validSequence

    public boolean validSequence(int i, String[] inputSequence, String[] tagList, String outcome)

  - ### validSequence

    public boolean validSequence(int i, TokenTag[] inputTuples, String[] outcomesSequence, String outcome)
    Description copied from interface: `SequenceValidator`
    Determines whether a particular continuation of a `sequence` is valid. This is used to restrict invalid sequences such as those used in start/continue tag-based chunking or could be used to implement tag dictionary restrictions.
    Specified by:
      `validSequence` in interface `SequenceValidator<TokenTag>`
    Parameters:
      `i` - The index in the `inputSequence` for which the new outcome is being proposed.
      `inputTuples` - The input sequence of `SequenceValidator`.
      `outcomesSequence` - The outcomes so far in this sequence.
      `outcome` - The next proposed outcome for the outcomes sequence.
    Returns:
      `true` if the sequence would still be valid with the new outcome, `false` otherwise.